
Robotics Service Bus - Bug #420
Check Spread version in cmake 
07/14/2011 03:51 PM - M. Rolf

Status: Resolved Start date: 07/14/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Configuration Estimated time: 0.00 hour
Target version: rsb-0.7
Description

E.g. warn for old version on Lucid systems.

Related issues:
Blocked by Robotics Systems Commons - Bug # 951: Provide version checking wit... Resolved 03/15/2012

Associated revisions
Revision 66667697 - 04/03/2012 06:09 PM - J. Wienke

Require at least spread 4

fixes #420

History
#1 - 07/14/2011 03:52 PM - S. Wrede
- Category changed from C++ to Configuration

#2 - 07/14/2011 06:56 PM - J. Moringen
- Status changed from New to Feedback

Maybe something like this:
spread --version | grep -e 'Version' | sed -re 's/.*Version ([0-9])\..*/\1/'

Does this work with the offending version?

#3 - 04/03/2012 06:08 PM - J. Wienke
- Status changed from Feedback to In Progress
- Assignee set to J. Wienke
- Target version set to rsb-0.7

#4 - 04/03/2012 06:10 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r3511.

#5 - 04/03/2012 06:11 PM - J. Wienke

05/13/2024 1/2



The commit in RSC uses a test program to determine the version so that version checking is available even if no binary could be found / is required.
Moreover, I have checked that the Lucid version 3 of spread also defines the required macros.
